Trigger a focused scan for a specific vulnerability

POST https://app.cyrion.ai/api/vulnerabilities/{vuln_id}/scan

Trigger an AI-powered scan focused on a specific vulnerability.

This will create a new scan with targeted instructions to verify, exploit, or gather more information about the specified vulnerability.

Path parameters

  • vuln_id (string, required)

Request body

  • scan_instructions (string): Additional instructions for the scan
  • vulnerability_id (string, required): The vulnerability to scan for

Responses

  • 201 Successful Response
  • 422 Validation Error